//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ParticipationInOlympiads
{
    using System;
    using System.Collections.Generic;
    
    public partial class RegistrationOfParticipantsTable
    {
        public int RegistrationOfParticipantsId { get; set; }
        public int StudentId { get; set; }
        public int Class { get; set; }
        public Nullable<decimal> Scores { get; set; }
        public int OlympiadPlanId { get; set; }
        public Nullable<int> ResultId { get; set; }
        public Nullable<int> RewardId { get; set; }
        public Nullable<bool> Absent { get; set; }
    
        public virtual OlympiadPlanTable OlympiadPlanTable { get; set; }
        public virtual ResultTable ResultTable { get; set; }
        public virtual RewardTable RewardTable { get; set; }
        public virtual StudentTable StudentTable { get; set; }
    }
}
